Yes !
(defun c:Text-x-add ( / ss tex tstr tnew num begin newtxt ans)
(setq ss (ssget (list (cons 0 "*text"))))
(if (not AH:getvalsm)(load "Multi Getvals.lsp"))
(setq ans (AH:getvalsm (list "Enter values" "Enter additional text" 20 18 "-" "Enter start position" 5 4 "2")))
(setq tnew (nth 0 ans))
(setq num (atoi (nth 1 ans)))
(repeat (setq x (sslength ss))
(setq tex (vlax-ename->vla-object (ssname ss (setq x (- x 1)))))
(setq tstr (vla-get-textstring tex))
(setq begin (substr tstr 1 num))
(setq tend (substr tstr (+ 1 num)))
(setq newtxt (strcat begin tnew tend))
(vla-put-textstring tex newtxt)
)
)
(c:text-x-add)
Make sure you save the multi getvals also
Multi GETVALS.lsp